/* 
Desktop 1024px
Tablet 768px
Mobile 480px
*/

html, body {
    height: 100%;
    width: 100%;
    margin: 0;

}

html {
    overflow-x: hidden;
    font-family: "Segoe UI";
    color: #F5F5F5;
}

body {
    width: 80%;
    margin-right: auto;
    margin-left: auto;
    display: flex;
    flex-direction: column;
}
/* Header and Nav */
#header {
    width: 100%;
    height: 8%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#nav {
    display: grid;
    grid-template-columns: repeat(2, 65px);
    grid-column-gap: 10px;
    align-items: center;
}

#nav a {
    color: #F5F5F5;
    font-size: 18px;
    font-weight: 400;
    text-decoration: none;
    text-align: center;
    letter-spacing: 1px;
}

#nav a:hover {
    font-weight: 500;
}

#logo {
    height: 8vh;
}

/* General */
.title {
    margin-top: 0;
    padding-top: 20px;
    letter-spacing: 2px;
}
.grow { transition: all .2s ease-in-out; }
.grow:hover { transform: scale(1.1); }
.current { border-bottom: 2px solid #F5F5F5; }
.main-box {
    text-align: center;
}
.description {
    width: 60%;
    margin: 0 auto;
    padding-bottom: 30px;
    font-size: 20px;
}

/* Page Transit */

/* hidden by default */
.content {
    transition: 0.2s;
    opacity: 0;
    transform: translateY(-10em);
  }
  
  /* class for showing the content */
  .content-visible {
    transition: 0.3s;
    opacity: 1;
    transform: translateY(0);
  }
  /* change index to black */
  .from-index {
      background: black; 
      transition: 0.3s;
  }

  .tag-word {
      transition: all 1s ease-out;

  }

  .tag-transit {
      visibility: hidden;
      opacity: 0;
      transform: translate(0, -50px);
  }


/* Main Content (Landing) */
#landing-main {
    width: 100%;
    min-height: calc(100% - 105px);
    margin: 0;
    display: grid;
    align-content: center;

}
.background-landing {
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),url('assets/pic_9.jpg');
      background-position: center;
      background-size: cover;
      background-repeat: no-repeat;
      transition: 0.3;
}
#content {
    text-align: center;
}
#content h2 {
    letter-spacing: 2px;
    font-weight: 500;
    font-size: 40px;
}
#content blockquote {
    font-size: 30px;
    letter-spacing: 2px;
}
#social {
    width: 40%;
    margin: 0 auto;
    display: flex;
    justify-content: space-around;
}
#social a {
    color: #F5F5F5;
}
#social a:hover {
    color: blue;
}

/* Gallery */
#gallery-main {
    display: inline-block;
    min-height: 120vh;
    background-color: #F5F5F5;
    color: #100E0E;
    text-align: center;
}

#gallery {
    min-height: 100%;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

#grid-container {
    display: grid;
    min-height: 100%;
    width: 80%;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 10%;
    margin: 0 auto;
    justify-content: center;
}

@media only screen and (max-width: 768px) {
    /* Mobile */
    #gallery-main {
        min-height: fit-content;
    }

    
    #grid-container {
        display: initial;
        min-height: fit-content;
    }

    #grid-container > img {
        padding: 20px 0;
    }
}

#grid-container > img {
    width: 325px;
}
/* Contact */
#about-me {
    background-color: #F5F5F5;
    color: #100E0E;
    height: 92vh;
    padding-top: 10vh;
}
#contact-box {
    background: black;
    color: #F5F5F5;
    /* height: 100%; */
    
}
#contact-form > * {
    padding: 20px 0;
}
.input-label {
    font-size: 20px;
}

.input {
    width: 300px;
    height: 25px;
    padding: 2px 0;
    font-size: 20px;
    text-align: center;
    background-color: black;
    caret-color: #F5F5F5;
    color: #F5F5F5;
    border: none;
    border-bottom: 1px solid grey;
}

input:focus {
    outline: none;
}

.submit-btn {
    width: 150px;
    height: 40px;
    background-color: #F5F5F5;
    font-size: 18px;
    font-weight: 500;
    border-radius: 10px;
    border: 2px solid #100E0E;
}

/* Footer */
#footer {
    height: 50px;
    width: 100%;
    padding: 5px 0;
    color: white;
    text-align: center;
    font-size: 12px;
}

